Get service account relationship info
GET
/api/security/info/serviceAccount/{id}
const url = 'https://example.com/api/security/info/serviceAccount/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/security/info/serviceAccount/example \ --header 'Authorization: Bearer <token>'Retrieves the entities related to a service account
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Service account ID
string
Responses
Section titled “Responses”Service account info retrieved successfully
Media typeapplication/json
object
users
Related user IDs
Array<string>
roles
Related role IDs
Array<string>
groups
Related group IDs
Array<string>
serviceAccounts
Related service account IDs
Array<string>
Examplegenerated
{ "users": [ "example" ], "roles": [ "example" ], "groups": [ "example" ], "serviceAccounts": [ "example" ]}